Bug 502913 - Xv not working on integrated Intel video chipsets
Xv not working on integrated Intel video chipsets
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 515339 516494 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 14:24 EDT by Bryan Christ
Modified: 2018-04-11 05:46 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:43:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from gst-launch (14.55 KB, text/plain)
2009-05-28 14:12 EDT, Bryan Christ
no flags Details
output from dmesg (39.52 KB, text/plain)
2009-05-28 14:14 EDT, Bryan Christ
no flags Details
Xorg log file (162.88 KB, text/plain)
2009-05-28 14:16 EDT, Bryan Christ
no flags Details
tarball containing logs (20.29 KB, application/x-gzip)
2009-09-11 04:45 EDT, Mamoru TASAKA
no flags Details
A test clip suitable for reproducting the problem with F12 Live CD (2.71 MB, audio/ogg)
2009-11-05 17:46 EST, Bryan Christ
no flags Details

  None (edit)
Description Bryan Christ 2009-05-27 14:24:54 EDT
Description of problem:

When playing a video clip in totem, audio plays but video is blank and black.

Version-Release number of selected component (if applicable):

From Fedora repo:
xorg-x11-drv-intel-2.7.0-4.fc11.x86_64
gstreamer.x86_64 0.10.23-1.fc11
gstreamer-plugins-base.x86_64 0.10.23-1.fc11

From rpmfusion-free repo:
gstreamer-ffmpeg.x86_64 0.10.7-1.fc11
gstreamer-plugins-ugly.x86_64 0.10.11-1.fc11

How reproducible:  100%

Steps to Reproduce:
1.  Install necessary gstreamer codec packs
2.  Try to play back a good, known, working video clip.
  
Actual results:

Observe blank screen but with audio.


Additional info:

- I also have the same problem with Xine.

- The problem can be worked-around by changing the gstreamer gconf videosink setting from autovideosink to ximagesink.  The flag is found here:
system->gstreamer->0.10->default->videosink
Comment 1 Bryan Christ 2009-05-27 14:52:41 EDT
Retested with the following updates and the problem still remains:

kernel-2.6.29.3-155.fc11.x86_64
xorg-x11-drv-intel-2.7.0-6.fc11.x86_64
Comment 2 Matěj Cepl 2009-05-28 13:44:27 EDT
(In reply to comment #0)
> Description of problem:
> 
> When playing a video clip in totem, audio plays but video is blank and black.

Are you able to play with just gst-launch?

gst-launch playbin2 uri=http://www.redhat.com/v/ogg/TruthHappensRmx.ogg

if yes, try please

gst-launch -t playbin2 uri=http://www.redhat.com/v/ogg/TruthHappensRmx.ogg 2>&1 \
  |tee gst-launch-debug-log.txt

And the log file to this bug as uncompressed separate attachment.
Comment 3 Matěj Cepl 2009-05-28 13:46:16 EDT
And of course, please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bryan Christ 2009-05-28 14:11:59 EDT
When I try to use gst-launch, the clip plays audio but no video.  I have no xorg.conf file.
Comment 5 Bryan Christ 2009-05-28 14:12:28 EDT
Created attachment 345809 [details]
output from gst-launch
Comment 6 Bryan Christ 2009-05-28 14:14:10 EDT
Created attachment 345811 [details]
output from dmesg
Comment 7 Bryan Christ 2009-05-28 14:16:14 EDT
Created attachment 345812 [details]
Xorg log file
Comment 8 Bryan Christ 2009-06-03 16:50:34 EDT
retested with xorg-x11-drv-intel-2.7.0-7.fc11.x86_64 and problem still happens.
Comment 9 Bryan Christ 2009-06-08 15:05:07 EDT
Matej,

I would be glad to test the latest driver from git (snapshot 2.7.99.1 -2009-04-28) but I have some missing deps.  If you can tell me which devel packages I am needing I could give it a try.

./autogen.sh --prefix=/usr --enable-dri

checking for XORG... configure: error: Package requirements (xorg-server >= 1.6 xproto fontsproto  xineramaproto randrproto renderproto xextproto x11 xextproto) were not met:

No package 'x11' found
Comment 10 Matěj Cepl 2009-06-08 18:17:12 EDT
(In reply to comment #9)
> Matej,
> 
> I would be glad to test the latest driver from git (snapshot 2.7.99.1
> -2009-04-28) but I have some missing deps.  If you can tell me which devel
> packages I am needing I could give it a try.
> 
> ./autogen.sh --prefix=/usr --enable-dri
> 
> checking for XORG... configure: error: Package requirements (xorg-server >= 1.6
> xproto fontsproto  xineramaproto randrproto renderproto xextproto x11
> xextproto) were not met:
> 
> No package 'x11' found  

I guess the most simple way is to rebuild the Fedora package (yumdownload --src <name-of-src-package>) and then just replace tarball in SOURCES and add autogen.sh to .spec file. Advantage is that you not get build more easily build, but you will have also package.

If you try this, do you have still missing BuildRequires?
Comment 11 Bug Zapper 2009-06-09 12:40:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bryan Christ 2009-06-11 17:39:41 EDT
Matej,

I haven't had time to try testing the latest driver from git yet, but I just ran into the exact problem on a older system with integrated i915 video.


(II) intel(0): Integrated Graphics Chipset: Intel(R) 915G
Comment 13 Warren Togami 2009-06-16 16:38:24 EDT
Bryan, what specific chipsets exactly are having this problem?  Various i945 and i965 chips here are working fine in this regard.
Comment 14 Bryan Christ 2009-06-16 17:02:54 EDT
Here's the lspci from the Q35 (Intel GMA 3100) system:

00:02.0 "VGA compatible controller [0300]" "Intel Corporation [8086]" "82Q35 Express Integrated Graphics Controller [29b2]" -r02 "Hewlett-Packard Company [103c]" "Device [2819]"
00:02.1 "Display controller [0380]" "Intel Corporation [8086]" "82Q35 Express Integrated Graphics Controller [29b3]" -r02 "Hewlett-Packard Company [103c]" "Device [2819]"

Do you want the same from the 915G (Intel GMA 900) system?
Comment 15 Tom Breen 2009-06-16 20:59:32 EDT
My chipset also has this problem!

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
Comment 16 Matěj Cepl 2009-08-07 19:17:15 EDT
*** Bug 515339 has been marked as a duplicate of this bug. ***
Comment 17 Bryan Christ 2009-09-09 16:53:17 EDT
Retested with the latest xorg packages from updates-testing on 9/9 and issue still persists.
Comment 18 Mamoru TASAKA 2009-09-11 04:45:02 EDT
Created attachment 360646 [details]
tarball containing logs

My system also has this problem, i.e. Xv output cannot be
used with:

Toshiba dynabook TX 3516 (Intel® 855GME)
Tarball attached containing
- lspci -vvv
- dmesg.log
- Xorg.0.log
- boot.log

rpm using:
kernel-2.6.31-2.fc12.i686
xorg-x11-server-Xorg-1.6.99.900-1.fc12.i686
xorg-x11-drv-intel-2.8.0-13.20090909.fc12.i686
libXv-1.0.4-4.fc12.i686
Comment 19 Matěj Cepl 2009-10-08 12:51:21 EDT
*** Bug 516494 has been marked as a duplicate of this bug. ***
Comment 21 Matěj Cepl 2009-11-05 13:29:59 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Bryan Christ 2009-11-05 17:45:23 EST
Retested on F12 Live CD and problem still exists.
Comment 23 Bryan Christ 2009-11-05 17:46:25 EST
Created attachment 367750 [details]
A test clip suitable for reproducting the problem with F12 Live CD
Comment 24 Jerome Hettich 2009-11-05 17:51:14 EST
Can confirm this problem still occurs in F12 Beta with:
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)

on 
2.6.31.5-117.fc12.i686
2.6.31.5-115.fc12.i686
2.6.31.5-96.fc12.i686
all get
(WW) intel(0): Disabling Xv because no adaptors could be initialized

think this is because Overlay Support is missing for the intel KMS driver (which hasn't yet been implemented). Patch to implement this is as
http://patchwork.kernel.org/patch/47764/
but do not think this made 2.6.32 so think this may not be in Linus's tree till 2.6.33

Think using nomodeset worked around this in F11 but at the moment using the nomodeset option in F12 beta causes X to fail to start.
Comment 25 Ian Collier 2009-11-17 18:22:10 EST
New Fedora 12 install here (updated to current stable updates) with:
VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)

xvinfo says "no adaptors present", and yet this worked in Fedora 10.
nomodeset = black screen of death.

I thought upgrades were supposed to make things work better...
Comment 26 Cesko Voeten 2009-11-20 16:06:36 EST
Bug still present in fully updated Fedora 12. Workaround of adding 'i915.modeset=0' to the kernel command line fixes it, with the disadvantage of disabling KMS. (Guess you can't have your cake and eat it too.)
Comment 27 Håkan Hjort 2010-01-01 02:33:00 EST
Still no Xv adapters in Fedora 12 as of 2010-01-01.
A i915.modeset=0 / nomodeset causes a hard hang of the system so it's not a viable workaround.

I'm also on a 855GME like Ian Collier above
VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)

kernel-2.6.31.9-74.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
libdrm-2.4.15-8.fc12.i686
mesa-dri-drivers-7.6-0.13.fc12.i686
Comment 28 Stuart D Gathman 2010-01-10 22:43:37 EST
I have the same problem on Intel Corporation 82865G Integrated Graphics Controller (rev 02) with fully updated F12. It worked on F10.  

Excerpt from Xorg.0.log:
...
(--) PCI:*(0:0:2:0) 8086:2572:1028:0151 Intel Corporation 82865G Integrated Graphics Controller rev 2, Mem @ 0xe8000000/134217728, 0xfeb80000/524288, I/O @ 0x0000efa8/8, BIOS @ 0x????????/131072
...
(==) intel(0): Intel XvMC decoder disabled
(WW) intel(0): Disabling Xv because no adaptors could be initialized.

kernel-2.6.31.9-174.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
libdrm-2.4.15-8.fc12.i686
mesa-dri-drivers-7.6-0.13.fc12.i686
Comment 29 Stuart D Gathman 2010-01-13 21:43:41 EST
Just checked, and adding nomodeset to kernel allows xvideo to work again for Intel Corporation 82865G Integrated Graphics Controller (rev 02) - same software versions as above.
Comment 30 Peter Hjalmarsson 2010-01-24 08:59:51 EST
I think this is what I have too.
lspci shows a 82852/855GM IGP and xvinfo cannot find any adapters.

It sounds a lot like https://bugs.freedesktop.org/show_bug.cgi?id=24543 which should work with xorg-video-intel-2.10.0 and kernel 2.6.33 or a backport found here: http://gitorious.org/daniel-s-linux-stuff/linux-kernel/commits/intel-kms-overlay-for-2.6.32 (mentioned in the release announcement for the intel 2.10.0 driver, found here http://thread.gmane.org/gmane.comp.freedesktop.xorg/41865)
If you do not have this patch already, please consider porting it.
Comment 31 Cesko Voeten 2010-04-27 00:59:04 EDT
Fixed in F13 beta. No workarounds needed, works out of the box.

$ xvinfo
X-Video Extension version 2.2
screen #0
  Adaptor #0: "Intel(R) Video Overlay"
    number of ports: 1
    port base: 82
    operations supported: PutImage 
    supported visuals:
      depth 24, visualID 0x21
    number of attributes: 5
      "XV_COLORKEY" (range 0 to 16777215)
              client settable attribute
              client gettable attribute (current value is 66046)
      "XV_BRIGHTNESS" (range -128 to 127)
              client settable attribute
              client gettable attribute (current value is -19)
      "XV_CONTRAST" (range 0 to 255)
              client settable attribute
              client gettable attribute (current value is 75)
      "XV_SATURATION" (range 0 to 1023)
              client settable attribute
              client gettable attribute (current value is 146)
      "XV_PIPE" (range -1 to 1)
              client settable attribute
              client gettable attribute (current value is -1)
    maximum XvImage size: 2048 x 2048
    Number of image formats: 4
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
Comment 32 Bug Zapper 2010-04-27 10:32:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Stuart D Gathman 2010-04-27 21:31:44 EDT
Any chance this will get fixed for 12?  And do we need to open a new bug to say the problem still exists in Fedora 12?
Comment 34 Mamoru TASAKA 2010-04-29 14:33:31 EDT
Well, I no longer use F-11 and am using F-13 on my computer
Toshiba dynabook TX 3516 (Intel® 855GME), and now Xv is working
(with F-11/12 Xv did not work)
Comment 35 Bug Zapper 2010-06-28 08:43:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.